"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var set_git_http_backend_variable_1 = require("../commands/set-git-http-backend-variable");
var map_headers_to_env_1 = require("../mapper/map-headers-to-env");
var git_http_backend_variable_names_1 = require("../model/git-http-backend-variable-names");
function defaultConfig(gitBackendPath, projectRoot) {
    return function (req) {
        var url = require('url')
            .parse(req.url);
        var env = map_headers_to_env_1.mapHeadersToEnv(req.headers, git_http_backend_variable_names_1.gitHttpBackendVariableNames);
        set_git_http_backend_variable_1.setGitHttpBackendVariable(env, 'GIT_PROJECT_ROOT', projectRoot);
        set_git_http_backend_variable_1.setGitHttpBackendVariable(env, 'PATH_TRANSLATED', projectRoot + url.pathname);
        set_git_http_backend_variable_1.setGitHttpBackendVariable(env, 'PATH_INFO', url.pathname);
        set_git_http_backend_variable_1.setGitHttpBackendVariable(env, 'REQUEST_METHOD', req.method);
        set_git_http_backend_variable_1.setGitHttpBackendVariable(env, 'GIT_HTTP_EXPORT_ALL', '1');
        set_git_http_backend_variable_1.setGitHttpBackendVariable(env, 'QUERY_STRING', url.query);
        return {
            env: env,
            gitBackendPath: gitBackendPath
        };
    };
}
exports.default = defaultConfig;
//# sourceMappingURL=default-config.js.map