"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var child_process_1 = require("child_process");
var write_data_1 = require("./commands/write-data");
function requestHandler(config) {
    return function (req, res) {
        var _a = config(req), env = _a.env, gitBackendPath = _a.gitBackendPath;
        var gitHttpBackend = child_process_1.spawn(gitBackendPath, { env: env });
        req.pipe(gitHttpBackend.stdin);
        var buffers = {
            header: [],
            body: [],
            completedHeader: false
        };
        gitHttpBackend.stdout.on('data', (function (chunk) { return write_data_1.writeData(chunk, buffers, res); }));
        gitHttpBackend.on('close', function () {
            res.end();
        });
    };
}
exports.requestHandler = requestHandler;
//# sourceMappingURL=request-handler.js.map